## osm-map-icons 20100607

=== Makefile ===
PACKAGE:=osm-map-icons
VERSION:=20100607
SOURCE:=$(PACKAGE)-build-$(VERSION).tar.gz
HOMEPAGE:=
URLS=http://ftp.tal.org/pub/src/osm-map-icons/

include ../Rules.make

pre-src pre-bin: unpack-data

unpack-data:
	install -m 755 -d data && tar zxvf $(SOURCE) -C data/

=== debian/changelog ===
osm-map-icons (20100607) stable; urgency=low

  * Package of OSM icons, created from pre-built icon pack

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 11 Jun 2010 13:20:00 +0200

=== debian/control ===
Source: osm-map-icons
Priority: optional
Maintainer: Kaj-Michael Lang
Build-Depends: debhelper (>= 4.1.0), cdbs
Standards-Version: 3.8.0

Package: osm-map-icons
Architecture: all
Section: data
Depends: osm-map-icons-classic, osm-map-icons-square, osm-map-icons-svg
Description: OpenStreetMap map icons, meta package to install all different icon types
XSBC-Bugtracker: mailto:milang@tal.org

Package: osm-map-icons-classic
Architecture: all
Section: data
Description: OpenStreetMap map icons, Classic style
XSBC-Bugtracker: mailto:milang@tal.org

Package: osm-map-icons-square
Architecture: all
Section: data
Description: OpenStreetMap map icons, Square style
XSBC-Bugtracker: mailto:milang@tal.org

Package: osm-map-icons-svg
Architecture: all
Section: data
Description: OpenStreetMap map icons, svg format
XSBC-Bugtracker: mailto:milang@tal.org

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)

ifeq ($(IS_FREMANTLE),y)
I_DATA_DIR=/opt/share/icons/map-icons
else
I_DATA_DIR=/usr/share/icons/map-icons
endif

I_CLASSIC=debian/osm-map-icons-classic/$(I_DATA_DIR)/
I_SQUARE=debian/osm-map-icons-square/$(I_DATA_DIR)/
I_SVG=debian/osm-map-icons-svg/$(I_DATA_DIR)/

S_DATA=data/osm-map-icons-build

# classic.big  classic.small  
# japan  nickw  
# square.big  square.small  
# svg  svg-twotone

install/osm-map-icons::

install/osm-map-icons-classic::
	install -d -m 755 $(I_CLASSIC)
	cp -a $(S_DATA)/classic.* $(I_CLASSIC)
	chown -R root $(I_CLASSIC)

install/osm-map-icons-square::
	install -d -m 755 $(I_SQUARE)
	cp -a $(S_DATA)/square.* $(I_SQUARE)
	chown -R root $(I_CLASSIC)

install/osm-map-icons-svg::
	install -d -m 755 $(I_SVG)
	cp -a $(S_DATA)/svg $(I_SVG)
	chown -R root $(I_CLASSIC)
